## ros-melodic-open-manipulator-msgs 1.0.0

=== CMakeLists.txt ===
################################################################################
# Set minimum required version of cmake, project name and compile options
################################################################################
cmake_minimum_required(VERSION 2.8.3)
project(open_manipulator_msgs)

################################################################################
# Find catkin packages and libraries for catkin and system dependencies
################################################################################
find_package(catkin REQUIRED COMPONENTS
  std_msgs
  geometry_msgs
  message_generation
)

################################################################################
# Setup for python modules and scripts
################################################################################

################################################################################
# Declare ROS messages, services and actions
################################################################################
add_message_files(
   FILES
   JointPosition.msg
   KinematicsPose.msg
   OpenManipulatorState.msg
 )

add_service_files(
   FILES
   GetJointPosition.srv
   GetKinematicsPose.srv
   SetJointPosition.srv
   SetKinematicsPose.srv
   SetDrawingTrajectory.srv
   SetActuatorState.srv
 )

generate_messages(
  DEPENDENCIES
  std_msgs
  geometry_msgs
)

################################################################################
# Declare ROS dynamic reconfigure parameters
################################################################################

################################################################################
# Declare catkin specific configuration to be passed to dependent projects
################################################################################
catkin_package(
  CATKIN_DEPENDS std_msgs geometry_msgs message_runtime
)

################################################################################
# Build
################################################################################

################################################################################
# Install
################################################################################

################################################################################
# Test
################################################################################

=== debian/changelog ===
ros-melodic-open-manipulator-msgs (1.0.0-0stretch) stretch; urgency=high

  * added endeffector name
  * added params
  * added authors
  * added path time variable
  * deleted unused params
  * updated msg and srv
  * updated the CHANGELOG and version to release binary packages
  * Contributors: Darby Lim, Yong-Ho Na, Pyo

 -- Pyo <pyo@robotis.com>  Thu, 07 Feb 2019 15:00:00 -0000

ros-melodic-open-manipulator-msgs (0.3.0-0stretch) stretch; urgency=high

  * Package reconfiguration for OpenManipulator
  * Contributors: Darby Lim, Pyo

 -- Pyo <pyo@robotis.com>  Thu, 31 May 2018 15:00:00 -0000

ros-melodic-open-manipulator-msgs (0.1.1-0stretch) stretch; urgency=high

  * none

 -- Pyo <pyo@robotis.com>  Wed, 14 Mar 2018 15:00:00 -0000

ros-melodic-open-manipulator-msgs (0.1.0-0stretch) stretch; urgency=high

  * modified dynamixel controller
  * modified msgs and description
  * modified cmake, package files for release
  * refactoring for release
  * Contributors: Darby Lim, Pyo

 -- Pyo <pyo@robotis.com>  Tue, 13 Mar 2018 15:00:00 -0000

=== debian/control ===
Source: ros-melodic-open-manipulator-msgs
Section: misc
Priority: extra
Maintainer: Pyo <pyo@robotis.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-message-generation, ros-melodic-std-msgs
Homepage: http://wiki.ros.org/open_manipulator_msgs
Standards-Version: 3.9.2

Package: ros-melodic-open-manipulator-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-geometry-msgs, ros-melodic-message-runtime, ros-melodic-std-msgs
Description: Messages and services package for OpenManipulator to send information about state or pose
